using Hotline.CallCenter.Tels;
using Hotline.CallCenter.Tels.CallTelDomain;
using Mapster;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Tr.Sdk;
public class CallTelClient : ICallTelClient
{
    private readonly ITrClient _trClient;

    public CallTelClient(ITrClient trClient)
    {
        _trClient = trClient;
    }

    public async Task<List<QueryTelResponse>> QueryTelsAsync(QueryTelRequest request, CancellationToken cancellationToken)
    {
        var result = await _trClient.QueryTelsAsync(request.Adapt<Tels.QueryTelRequest>(), cancellationToken);
        return result.Adapt<List<QueryTelResponse>>();
    }
}
